Subject: Re: [PATCH] aclocal: handle both # and dnl for serial number lines

From: Karl Berry <[email-masked]>
Date: Tue, 28 Nov 2023 14:06:47 -0700

Hi Ross - you sent a change to automake-patches back in February 2017.
Sorry for the absurdly delayed reply.

    https://lists.gnu.org/archive/html/automake-patches/2017-02/msg00001.html

    Instead of only accepting comment lines that start with # for serial
    lines, also accept dnl.
    ...
    -my $serial_line_rx = '^#\s*serial\s+(\S*)';
    +my $serial_line_rx = '^(?:#|dnl)\s*serial\s+(\S*)';

While there's no technical problem with the patch, I'm not sure
supporting dnl is desirable. It seems better for the serial line to
always end up in whatever file is generated, for the sake of debugging
and documentation, instead of being eliminated at m4-time. If there was
a specific case where it was better to eliminate it, please describe ...

Also, because it's been so many years and I don't think it's ever come
up as a request, clearly things go on in any case :).

(Thanks to Bogdan for unearthing this from the archives.) --best, karl.